local MMW = ...


local function QuestRewardResources(resources)
	return {
		DataType = "QUEST_REWARD_RESOURCES",
		ResourceCollection = resources
	}
end

local function QuestFunctionDelivery(resources)
	return {
		DataType = "QUEST_FUNCTION_DELIVER_RESOURCES",
		ResourceListToDeliver = resources,
		Estate = "CLERGY",
		DaysCount = 10000000
	}
end

local function QuestFunctionBuild(BuildingList)
	return {
		DataType = "QUEST_FUNCTION_BUILD",
		BuildingListToBuild = BuildingList
	}
end

MMW:register({
	DataType = "QUEST",
	Id = "WEATHER_QUEST",
	Name = "WEATHER_QUEST_NAME",
	Description = "WEATHER_QUEST_DESC",
	QuestFunction = QuestFunctionDelivery({{Resource = "BERRIES", Quantity = 1}}),	
	QuestRewardList = {
		QuestRewardResources({{Resource = "BERRIES", Quantity = 1}}),
	},
	QuestListToUnlockAfter = {{QuestResource = "WEATHER_QUEST", Delay = 1}}, 
	OnSuccessCallback = {

		DataType = "EVENT_CALLBACK_TRIGGER_EVENT", 
		Event = "WEATHER_EVENT", 
		Delay = 1

	}
})

MMW:register({
	DataType = "EVENT",
	Id = "WEATHER_EVENT",
	Title = "WEATHER_EVENT_TITLE",
	Description = "WEATHER_EVENT_DESC",
	PanelVisual = "ILLUSTRATION_ESTATE_KING",
	Delay = 0,
	ConditionList = {
		{
		DataType = "EVENT_CONDITION_BUILDING_BUILT",
		AssetBuilding = "BUILDING_VILLAGE_CENTER"
		}
	},
	ChoiceList = {
		{
			ShortName = "STORM",
			EventActionList = {	
				{
					DataType = "EVENT_ACTION_CHANGE_WEATHER",
					AssetWeather = "WEATHER_STORM",
					IsWeatherSystemOverriden = true
					
				}
			}
		
		},
		{
			ShortName = "SUNNY",
			EventActionList = {	
				{
					DataType = "EVENT_ACTION_CHANGE_WEATHER",
					AssetWeather = "WEATHER_SUNNY",
					IsWeatherSystemOverriden = true
					
				}
			}
		
		},
		{
			ShortName = "RAINY",
			EventActionList = {	
				{
					DataType = "EVENT_ACTION_CHANGE_WEATHER",
					AssetWeather = "WEATHER_RAINY",
					IsWeatherSystemOverriden = true
					
				}
			}
		
		}
	}
})

MMW:override({
	Id = "DEFAULT_BALANCING",
	DelayedQuestList={Action = "APPEND", {QuestResource = "WEATHER_QUEST",Delay = 0}}, --FCconfig["balancing"]["DelayedQuestList"],
})